Bug 538672 - SELinux prevented mount from mounting on the file or directory "/mnt/live" (type "iso9660_t").
Summary: SELinux prevented mount from mounting on the file or directory "/mnt/live...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:4f5bedcef92...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-19 02:51 UTC by Christoph Wickert
Modified: 2009-12-02 04:38 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:33 UTC


Attachments (Terms of Use)

Description Christoph Wickert 2009-11-19 02:51:37 UTC
Summary:

SELinux prevented mount from mounting on the file or directory "/mnt/live" (type
"iso9660_t").

Detailed Description:

SELinux prevented mount from mounting a filesystem on the file or directory
"/mnt/live" of type "iso9660_t". By default SELinux limits the mounting of
filesystems to only some files or directories (those with types that have the
mountpoint attribute). The type "iso9660_t" does not have this attribute. You
can change the label of the file or directory.

Allowing Access:

Changing the file_context to mnt_t will allow mount to mount the file system:
"chcon -t mnt_t '/mnt/live'." You must also change the default file context
files on the system in order to preserve them even on a full relabel. "semanage
fcontext -a -t mnt_t '/mnt/live'"

Fix Command:

chcon -t mnt_t '/mnt/live'

Additional Information:

Source Context                system_u:system_r:mount_t:s0
Target Context                system_u:object_r:iso9660_t:s0
Target Objects                /mnt/live [ dir ]
Source                        mount
Source Path                   /bin/mount
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           util-linux-ng-2.16-10.2.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   mounton
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.i686
                              #1 SMP Sat Nov 7 21:41:45 EST 2009 i686 i686
Alert Count                   3
First Seen                    Wed 18 Nov 2009 11:42:13 PM EST
Last Seen                     Wed 18 Nov 2009 11:42:13 PM EST
Local ID                      1fd77e8c-08b5-4e37-a508-db62d6b97615
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258605733.299:25088): avc:  denied  { mounton } for  pid=1430 comm="mount" path="/mnt/live" dev=sr0 ino=1856 scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:iso9660_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1258605733.299:25088): arch=40000003 syscall=21 success=no exit=-13 a0=2700210 a1=27003a0 a2=2701128 a3=c0ed0001 items=0 ppid=1424 pid=1430 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="mount" exe="/bin/mount" subj=system_u:system_r:mount_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,mounton,mount,mount_t,iso9660_t,dir,mounton
audit2allow suggests:

#============= mount_t ==============
allow mount_t iso9660_t:dir mounton;

Comment 1 Daniel Walsh 2009-11-19 14:48:46 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-47.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:37:01 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:19:59 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:31:36 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.